Skip to main content
Version: 1.6.2

BIP340 - Export a key share for backup

POST 

/bip340/backup/export-key-share

authorization

This API endpoint requires an API Key with at least one of the following Roles: KeysManager | KeysExporter

Export the key share associated with the given key_id. The key share is returned as a base64 encoded string (serialized and can be imported to other Sodot Vertex instances). If the Vertex is running with the Encrypted Server Share Backup mode, export_type will be set to encrypted. Encrypted Server Share Backup mode is available as a Preview Feature, please contact the Sodot team if you want to enable it.

Request

Header Parameters

    AUTHORIZATION stringrequired

    The AUTHORIZATION header must be set to the API Key of the user. The API Key is returned when a new user is created using the /admin/create-user endpoint.

Body

required

    oneOf

    key_namestringrequired
    encryptedbooleanrequired

Responses

Schema

    key_sharestringrequired